Mise à jour de Yunohost impossible : "Could not complete the operation 'Upgrade system packages'. Please provide the full log of this operation by clicking here to get help"

,

:fr: Modèle de message (français)

Mon serveur YunoHost

Matériel: Brique Internet avec VPN
Version de YunoHost: 3.7.0.12
J’ai accès à mon serveur : En SSH | Par la webadmin
Êtes-vous dans un contexte particulier ou avez-vous effectué des modificiations particulières sur votre instance ? : non

Description du problème

Bonsoir,

J’essaie de mettre à jour mon système mais cela ne fonctionne pas. On obtient le message suivant :

Could not complete the operation ‘Upgrade system packages’. Please provide the full log of this operation by clicking here to get help

Yunohost encountered an internal error:/
Really sorry about that.
You should look for help on the forum or the chat to fix the situation, or report the bug on the bugtracker.

The following information might be useful for the person helping you:

Action

PUT /upgrade
{“system”:""}

Traceback

Traceback (most recent call last):
File “/usr/lib/python2.7/dist-packages/moulinette/interfaces/api.py”, line 439, in process
ret = self.actionsmap.process(arguments, timeout=30, route=_route)
File “/usr/lib/python2.7/dist-packages/moulinette/actionsmap.py”, line 527, in process
return func(**arguments)
File “/usr/lib/moulinette/yunohost/log.py”, line 287, in func_wrapper
result = func(*args, **kwargs)
File “/usr/lib/moulinette/yunohost/tools.py”, line 653, in tools_upgrade
packages_list=’, '.join(noncritical_packages_upgradable))
File “/usr/lib/python2.7/logging/init.py”, line 1179, in warning
self._log(WARNING, msg, args, **kwargs)
File “/usr/lib/python2.7/dist-packages/moulinette/utils/log.py”, line 113, in _log
return Logger._log(self, *args, **kwargs)
TypeError: _log() got an unexpected keyword argument ‘packages_list’

Voilà la copie d’écran :

Et voilà les logs :

2021-05-09 21:36:45,581: INFO - + Get:191 http://security.debian.org stretch/updates/main armhf uwsgi-plugin-python armhf 2.0.14+20161117-3+deb9u3 [97.5 kB]
2021-05-09 21:36:45,586: INFO - + Get:192 http://security.debian.org stretch/updates/main armhf uwsgi armhf 2.0.14+20161117-3+deb9u3 [47.4 kB]
2021-05-09 21:36:45,590: INFO - + Get:193 http://security.debian.org stretch/updates/main armhf uwsgi-core armhf 2.0.14+20161117-3+deb9u3 [504 kB]
2021-05-09 21:36:45,796: INFO - + Get:194 http://security.debian.org stretch/updates/main armhf wpasupplicant armhf 2:2.4-1+deb9u9 [851 kB]
2021-05-09 21:36:46,403: INFO - + Fetched 133 MB in 1min 27s (1,528 kB/s)
2021-05-09 21:36:46,407: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/pcre3/libpcre3_8.43-1+0~20200703.7+debian9~1.gbpbfc49f_armhf.deb 404 Not Found
2021-05-09 21:36:46,411: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/o/openssl/libssl-dev_1.1.1i-1+0~20201212.21+debian9~1.gbpc1ad96_armhf.deb 404 Not Found
2021-05-09 21:36:46,423: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/o/openssl/libssl1.1_1.1.1i-1+0~20201212.21+debian9~1.gbpc1ad96_armhf.deb 404 Not Found
2021-05-09 21:36:46,436: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/o/openssl/openssl_1.1.1i-1+0~20201212.21+debian9~1.gbpc1ad96_armhf.deb 404 Not Found
2021-05-09 21:36:46,442: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-common_79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
2021-05-09 21:36:46,447: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-common_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,452: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-json_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,455: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-opcache_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,459: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-readline_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,463: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-cli_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,466: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-fpm_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,470: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-fpm_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
2021-05-09 21:36:46,473: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-intl_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,477: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-intl_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
2021-05-09 21:36:46,480: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-ldap_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,484: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-ldap_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
2021-05-09 21:36:46,488: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-mysql_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,492: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-mysql_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
2021-05-09 21:36:46,495: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-curl_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,499: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-curl_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
2021-05-09 21:36:46,502: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-gd_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,506: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-gd_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
2021-05-09 21:36:46,509: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-mbstring_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,513: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-mbstring_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
2021-05-09 21:36:46,518: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-intl_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,523: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-xml_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,527: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-mysql_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,531: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-json_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,536: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-zip_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,540: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-opcache_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,544: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-fpm_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,548: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-curl_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,552: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-mcrypt_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,556: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-gd_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,560: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-mbstring_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,565: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-readline_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,569: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-ldap_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,573: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-cli_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,577: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-common_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
2021-05-09 21:36:46,581: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-xml_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,585: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-xml_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
2021-05-09 21:36:46,590: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-pear/php-pear_1.10.12+submodules+notgz-1+0~20201204.17+debian9~1.gbp545cab_all.deb 404 Not Found
2021-05-09 21:36:46,594: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-zip_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
2021-05-09 21:36:46,598: WARNING - E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-zip_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
2021-05-09 21:36:46,602: WARNING - E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

Il semble y avoir un problème avec les paquets de Sury…

J’ai regardé sur le forum pour des problèmes de mise à jour du système et j’ai trouvé le ticket suivant : Impossible de faire des mises à jour - #3 by Aleks

En SSH en faisant un sudo apt update, on obtient :

$ sudo apt update
Hit:1 http://security.debian.org stretch/updates InRelease
Ign:2 http://httpredir.debian.org/debian stretch InRelease
Hit:3 http://httpredir.debian.org/debian stretch-updates InRelease
Hit:4 http://httpredir.debian.org/debian stretch Release
Err:5 https://packages.sury.org/php stretch InRelease
The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key deb@sury.org
Hit:7 http://forge.yunohost.org/debian stretch InRelease
Hit:8 https://armbian.systemonachip.net/apt stretch InRelease
Reading package lists… Done
Building dependency tree
Reading state information… Done
184 packages can be upgraded. Run ‘apt list --upgradable’ to see them.
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://packages.sury.org/php stretch InRelease: The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key deb@sury.org
W: Failed to fetch https://packages.sury.org/php/dists/stretch/InRelease The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key deb@sury.org
W: Some index files failed to download. They have been ignored, or old ones used instead.

Et en faisant un sudo apt dist-upgrade, on obtient les mêmes messages d’erreurs avec les paquets de Sury qui ne peuvent être récupérés.

Je pense que l’erreur vient donc de la signature invalide (comme indiqué lors de la commande apt update) mais du coup, comment corriger cette erreur de signature ?
D’ailleurs cette erreur est-elle grave ? est-ce que le système a pu être modifié par un tiers (vu que la signature semble invalide ?

D’avance merci pour votre soutien :slight_smile:

Re,

Du coup j’ai également recherché pour de possibles erreurs de signature et j’ai trouvé le ticket suivant :slight_smile: Issue with apt upgrade: "Invalid archive signature"

Voilà le résultat des commandes

  • $ sudo apt clean → rien en sortie
  • $ sudo apt autoclean :

Reading package lists… Done
Building dependency tree
Reading state information… Done

  • $ sudo yunohost tools update :

Info : Récupération des mises à jour disponibles pour les paquets du système …
Attention : W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: https://packages.sury.org/php stretch InRelease: The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key deb@sury.org
Attention : W: Failed to fetch http://apt.armbian.com/dists/stretch/InRelease Could not resolve host: armbian.systemonachip.net
Attention : W: Failed to fetch https://packages.sury.org/php/dists/stretch/InRelease The following signatures were invalid: EXPKEYSIG B188E2B695BD4743 DEB.SURY.ORG Automatic Signing Key deb@sury.org
Attention : W: Some index files failed to download. They have been ignored, or old ones used instead.
Erreur : Des erreurs se sont produites lors de la mise à jour du cache APT (gestionnaire de paquets Debian). Voici un extrait des lignes du fichier sources.list qui pourrait vous aider à identifier les lignes problématiques :
sources.list:deb http://httpredir.debian.org/debian stretch main contrib non-free
sources.list:deb http://httpredir.debian.org/debian stretch-updates main contrib non-free
sources.list:deb http://security.debian.org/ stretch/updates main contrib non-free
sources.list.d/armbian.list:deb http://apt.armbian.com stretch main stretch-utils stretch-desktop
sources.list.d/yunohost.list:deb Index of /debian/ stretch stable
sources.list.d/extra_php_version.list:deb Index of /php/ stretch main
Info : Récupération des mises à jour des applications disponibles…
Succès ! La liste d’applications mise à jour ‘yunohost’
Succès ! La liste d’applications mise à jour ‘community’
apps:
0:
current_version: 1.1.1~ynh2
id: zerobin
label: Zerobin
new_version: 1.3.4~ynh1
1:
current_version: 0.03.5~ynh1
id: lufi
label: Lufi
new_version: 0.05.13~ynh1
2:
current_version: 0.21-4~ynh4
id: lstu
label: Lstu
new_version: 0.22-0~ynh2
3:
current_version: 0.16.0~ynh1
id: searx
label: Searx
new_version: 0.18.0~ynh3
4:
current_version: 1.8.0~ynh1
id: etherpad_mypads
label: Etherpad Mypads
new_version: 1.8.13~ynh1
5:
current_version: 1.2.0
id: hotspot
label: Wifi Hotspot
new_version: 1.2.0~ynh3
6:
current_version: 1.4.0
id: vpnclient
label: VPN Client
new_version: 1.4.1~ynh3
7:
current_version: 1.4.3~ynh1
id: roundcube
label: Roundcube
new_version: 1.4.11~ynh1
8:
current_version: 15.1-9~ynh1
id: anarchism
label: Anarchism
new_version: 15.3-3~ynh1
9:
current_version: 1.0~ynh5 (29bdccb)
id: multi_webapp
label: Multi custom webapp
new_version: 1.0~ynh5 (a0027d6)
system:
0:
current_version: 1.4.9
name: apt
new_version: 1.4.11
1:
current_version: 1.4.9
name: apt-transport-https
new_version: 1.4.11
2:
current_version: 1.4.9
name: apt-utils
new_version: 1.4.11
3:
current_version: 20.02.8
name: armbian-config
new_version: 21.02.4
4:
current_version: 20.02.4
name: armbian-firmware
new_version: 21.02.4
5:
current_version: 9.9+deb9u12
name: base-files
new_version: 9.9+deb9u13
6:
current_version: 1:9.10.3.dfsg.P4-12.3+deb9u5
name: bind9-host
new_version: 1:9.10.3.dfsg.P4-12.3+deb9u9
7:
current_version: 1:9.10.3.dfsg.P4-12.3+deb9u5
name: bind9utils
new_version: 1:9.10.3.dfsg.P4-12.3+deb9u9
8:
current_version: 20161130+nmu1+deb9u1
name: ca-certificates
new_version: 20200601~deb9u2
9:
current_version: 7.52.1-5+deb9u10
name: curl
new_version: 7.52.1-5+deb9u13
10:
current_version: 1.10.28-0+deb9u1
name: dbus
new_version: 1.10.32-0+deb9u1
11:
current_version: 2.76-5+deb9u2
name: dnsmasq
new_version: 2.76-5+deb9u3
12:
current_version: 2.76-5+deb9u2
name: dnsmasq-base
new_version: 2.76-5+deb9u3
13:
current_version: 1:9.10.3.dfsg.P4-12.3+deb9u5
name: dnsutils
new_version: 1:9.10.3.dfsg.P4-12.3+deb9u9
14:
current_version: 1:2.2.27-3+deb9u5
name: dovecot-core
new_version: 1:2.2.27-3+deb9u7
15:
current_version: 1:2.2.27-3+deb9u5
name: dovecot-imapd
new_version: 1:2.2.27-3+deb9u7
16:
current_version: 1:2.2.27-3+deb9u5
name: dovecot-ldap
new_version: 1:2.2.27-3+deb9u7
17:
current_version: 1:2.2.27-3+deb9u5
name: dovecot-lmtpd
new_version: 1:2.2.27-3+deb9u7
18:
current_version: 1:2.2.27-3+deb9u5
name: dovecot-managesieved
new_version: 1:2.2.27-3+deb9u7
19:
current_version: 1:2.2.27-3+deb9u5
name: dovecot-sieve
new_version: 1:2.2.27-3+deb9u7
20:
current_version: 1.43.4-2+deb9u1
name: e2fslibs
new_version: 1.43.4-2+deb9u2
21:
current_version: 1.43.4-2+deb9u1
name: e2fsprogs
new_version: 1.43.4-2+deb9u2
22:
current_version: 1.1.5-2+deb9u1
name: gir1.2-packagekitglib-1.0
new_version: 1.1.5-2+deb9u2
23:
current_version: 1:2.11.0-3+deb9u5
name: git
new_version: 1:2.11.0-3+deb9u7
24:
current_version: 1:2.11.0-3+deb9u5
name: git-man
new_version: 1:2.11.0-3+deb9u7
25:
current_version: 3:2.7-99~armbian5.86+1
name: hostapd
new_version: 3:2.9-102~armbian20.05.2+1
26:
current_version: 2.1.2-3
name: htop
new_version: 3.1.0-0~armbian20.08.2+1
27:
current_version: 57.1-6+deb9u4
name: icu-devtools
new_version: 65.1-1+0~20200223.8+debian9~1.gbp519cf3
28:
current_version: 2.4.44+dfsg-5+deb9u3
name: ldap-utils
new_version: 2.4.44+dfsg-5+deb9u8
29:
current_version: 1.4.9
name: libapt-inst2.0
new_version: 1.4.11
30:
current_version: 1.4.9
name: libapt-pkg5.0
new_version: 1.4.11
31:
current_version: 1:9.10.3.dfsg.P4-12.3+deb9u5
name: libbind9-140
new_version: 1:9.10.3.dfsg.P4-12.3+deb9u9
32:
current_version: 0.8.3-1
name: libbsd0
new_version: 0.8.3-1+deb9u1
33:
current_version: 0.99.beta19-2.1~deb9u1
name: libcaca0
new_version: 0.99.beta19-2.1~deb9u2
34:
current_version: 1.43.4-2+deb9u1
name: libcomerr2
new_version: 1.43.4-2+deb9u2
35:
current_version: 7.52.1-5+deb9u10
name: libcurl3
new_version: 7.52.1-5+deb9u13
36:
current_version: 7.52.1-5+deb9u10
name: libcurl3-gnutls
new_version: 7.52.1-5+deb9u13
37:
current_version: 1.636-1+b1
name: libdbi-perl
new_version: 1.636-1+deb9u1
38:
current_version: 1.10.28-0+deb9u1
name: libdbus-1-3
new_version: 1.10.32-0+deb9u1
39:
current_version: 1:9.10.3.dfsg.P4-12.3+deb9u5
name: libdns-export162
new_version: 1:9.10.3.dfsg.P4-12.3+deb9u9
40:
current_version: 1:9.10.3.dfsg.P4-12.3+deb9u5
name: libdns162
new_version: 1:9.10.3.dfsg.P4-12.3+deb9u9
41:
current_version: 2.6.3-3.2+deb9u1
name: libfreetype6
new_version: 2.6.3-3.2+deb9u2
42:
current_version: 2.2.4-2+deb9u5
name: libgd3
new_version: 2.2.5-5.2+0~20190808.4+debian9~1.gbp6d9343
43:
current_version: 3.5.8-5+deb9u4
name: libgnutls30
new_version: 3.5.8-5+deb9u5
44:
current_version: 1.15-1+deb9u1
name: libgssapi-krb5-2
new_version: 1.15-1+deb9u2
45:
current_version: 57.1-6+deb9u4
name: libicu-dev
new_version: 65.1-1+0~20200223.8+debian9~1.gbp519cf3
46:
current_version: 0.16-1+deb9u1
name: libidn2-0
new_version: 2.2.0-2+0~20200302.4+debian9~1.gbpf85c2e
47:
current_version: 1:9.10.3.dfsg.P4-12.3+deb9u5
name: libisc-export160
new_version: 1:9.10.3.dfsg.P4-12.3+deb9u9
48:
current_version: 1:9.10.3.dfsg.P4-12.3+deb9u5
name: libisc160
new_version: 1:9.10.3.dfsg.P4-12.3+deb9u9
49:
current_version: 1:9.10.3.dfsg.P4-12.3+deb9u5
name: libisccc140
new_version: 1:9.10.3.dfsg.P4-12.3+deb9u9
50:
current_version: 1:9.10.3.dfsg.P4-12.3+deb9u5
name: libisccfg140
new_version: 1:9.10.3.dfsg.P4-12.3+deb9u9
51:
current_version: 1:1.5.1-2
name: libjpeg62-turbo
new_version: 1:1.5.1-2+deb9u1
52:
current_version: 3.1.1-2+deb9u1
name: libjs-jquery
new_version: 3.1.1-2+deb9u2
53:
current_version: 1.15-1+deb9u1
name: libk5crypto3
new_version: 1.15-1+deb9u2
54:
current_version: 1.15-1+deb9u1
name: libkrb5-3
new_version: 1.15-1+deb9u2
55:
current_version: 1.15-1+deb9u1
name: libkrb5support0
new_version: 1.15-1+deb9u2
56:
current_version: 2.4.44+dfsg-5+deb9u3
name: libldap-2.4-2
new_version: 2.4.44+dfsg-5+deb9u8
57:
current_version: 2.4.44+dfsg-5+deb9u3
name: libldap-common
new_version: 2.4.44+dfsg-5+deb9u8
58:
current_version: 2.0.4+dfsg-1+b1
name: libluajit-5.1-2
new_version: 2.0.4+dfsg-1+deb9u1
59:
current_version: 2.0.4+dfsg-1
name: libluajit-5.1-common
new_version: 2.0.4+dfsg-1+deb9u1
60:
current_version: 1:9.10.3.dfsg.P4-12.3+deb9u5
name: liblwres141
new_version: 1:9.10.3.dfsg.P4-12.3+deb9u9
61:
current_version: 10.1.44-0+deb9u1
name: libmariadbclient18
new_version: 10.1.48-0+deb9u2
62:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-auth-pam
new_version: 1.10.3-1+deb9u5
63:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-cache-purge
new_version: 1.10.3-1+deb9u5
64:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-dav-ext
new_version: 1.10.3-1+deb9u5
65:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-echo
new_version: 1.10.3-1+deb9u5
66:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-fancyindex
new_version: 1.10.3-1+deb9u5
67:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-geoip
new_version: 1.10.3-1+deb9u5
68:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-headers-more-filter
new_version: 1.10.3-1+deb9u5
69:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-image-filter
new_version: 1.10.3-1+deb9u5
70:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-lua
new_version: 1.10.3-1+deb9u5
71:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-ndk
new_version: 1.10.3-1+deb9u5
72:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-perl
new_version: 1.10.3-1+deb9u5
73:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-subs-filter
new_version: 1.10.3-1+deb9u5
74:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-uploadprogress
new_version: 1.10.3-1+deb9u5
75:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-upstream-fair
new_version: 1.10.3-1+deb9u5
76:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-http-xslt-filter
new_version: 1.10.3-1+deb9u5
77:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-mail
new_version: 1.10.3-1+deb9u5
78:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-nchan
new_version: 1.10.3-1+deb9u5
79:
current_version: 1.10.3-1+deb9u3
name: libnginx-mod-stream
new_version: 1.10.3-1+deb9u5
80:
current_version: 6.1.3-2
name: libonig4
new_version: 6.1.3-2+deb9u2
81:
current_version: 0.23.3-2
name: libp11-kit0
new_version: 0.23.3-2+deb9u1
82:
current_version: 1.1.5-2+deb9u1
name: libpackagekit-glib2-18
new_version: 1.1.5-2+deb9u2
83:
current_version: 2:8.43-1+0~20190710.6+debian9~1.gbpbfc49f
name: libpcre3
new_version: 2:8.43-1+0~20200703.7+debian9~1.gbpbfc49f
84:
current_version: 5.24.1-3+deb9u6
name: libperl5.24
new_version: 5.24.1-3+deb9u7
85:
current_version: 9.6.17-0+deb9u1
name: libpq-dev
new_version: 9.6.20-0+deb9u1
86:
current_version: 9.6.17-0+deb9u1
name: libpq5
new_version: 9.6.20-0+deb9u1
87:
current_version: 2.7.13-2+deb9u3
name: libpython2.7
new_version: 2.7.13-2+deb9u5
88:
current_version: 2.7.13-2+deb9u3
name: libpython2.7-dev
new_version: 2.7.13-2+deb9u5
89:
current_version: 2.7.13-2+deb9u3
name: libpython2.7-minimal
new_version: 2.7.13-2+deb9u5
90:
current_version: 2.7.13-2+deb9u3
name: libpython2.7-stdlib
new_version: 2.7.13-2+deb9u5
91:
current_version: 3.5.3-1+deb9u1
name: libpython3.5-minimal
new_version: 3.5.3-1+deb9u4
92:
current_version: 3.5.3-1+deb9u1
name: libpython3.5-stdlib
new_version: 3.5.3-1+deb9u4
93:
current_version: 3.16.2-5+deb9u1
name: libsqlite3-0
new_version: 3.16.2-5+deb9u3
94:
current_version: 1.43.4-2+deb9u1
name: libss2
new_version: 1.43.4-2+deb9u2
95:
current_version: 1.1.0l-1~deb9u1
name: libssl-dev
new_version: 1.1.1i-1+0~20201212.21+debian9~1.gbpc1ad96
96:
current_version: 1.0.2u-1~deb9u1
name: libssl1.0.2
new_version: 1.0.2u-1~deb9u4
97:
current_version: 1.1.0l-1~deb9u1
name: libssl1.1
new_version: 1.1.1i-1+0~20201212.21+debian9~1.gbpc1ad96
98:
current_version: 4.0.8-2+deb9u4
name: libtiff5
new_version: 4.0.8-2+deb9u5
99:
current_version: 2:1.6.4-3+deb9u1
name: libx11-6
new_version: 2:1.6.4-3+deb9u3
100:
current_version: 2:1.6.4-3+deb9u1
name: libx11-data
new_version: 2:1.6.4-3+deb9u3
101:
current_version: 2.9.4+dfsg1-2.2+deb9u2
name: libxml2
new_version: 2.9.9+dfsg-1+0~20200226.5+debian9~1.gbp3b6674
102:
current_version: 2.9.4+dfsg1-2.2+deb9u2
name: libxml2-dev
new_version: 2.9.9+dfsg-1+0~20200226.5+debian9~1.gbp3b6674
103:
current_version: 1.5.1-4+0~20190318173229.9+stretch~1.gbp333132
name: libzip4
new_version: 1.7.3-1+0~20210114.10+debian9~1.gbp4c125d
104:
current_version: 4.2.1-4+deb9u2
name: libzmq5
new_version: 4.2.1-4+deb9u4
105:
current_version: 1:4.4-4.1
name: login
new_version: 1:4.4-4.1+deb9u1
106:
current_version: 10.1.44-0+deb9u1
name: mariadb-client-10.1
new_version: 10.1.48-0+deb9u2
107:
current_version: 10.1.44-0+deb9u1
name: mariadb-client-core-10.1
new_version: 10.1.48-0+deb9u2
108:
current_version: 10.1.44-0+deb9u1
name: mariadb-common
new_version: 10.1.48-0+deb9u2
109:
current_version: 10.1.44-0+deb9u1
name: mariadb-server
new_version: 10.1.48-0+deb9u2
110:
current_version: 10.1.44-0+deb9u1
name: mariadb-server-10.1
new_version: 10.1.48-0+deb9u2
111:
current_version: 10.1.44-0+deb9u1
name: mariadb-server-core-10.1
new_version: 10.1.48-0+deb9u2
112:
current_version: 3.12.0+yunohost-1
name: metronome
new_version: 3.14.1+ynh9-1
113:
current_version: 3.7.0.2
name: moulinette
new_version: 3.8.1.3
114:
current_version: 1.10.3-1+deb9u3
name: nginx-common
new_version: 1.10.3-1+deb9u5
115:
current_version: 1.10.3-1+deb9u3
name: nginx-extras
new_version: 1.10.3-1+deb9u5
116:
current_version: 1.1.0l-1~deb9u1
name: openssl
new_version: 1.1.1i-1+0~20201212.21+debian9~1.gbpc1ad96
117:
current_version: 1:4.4-4.1
name: passwd
new_version: 1:4.4-4.1+deb9u1
118:
current_version: 5.24.1-3+deb9u6
name: perl
new_version: 5.24.1-3+deb9u7
119:
current_version: 5.24.1-3+deb9u6
name: perl-base
new_version: 5.24.1-3+deb9u7
120:
current_version: 5.24.1-3+deb9u6
name: perl-modules-5.24
new_version: 5.24.1-3+deb9u7
121:
current_version: 2:76+0~20200511.26+debian9~1.gbpc9beb6
name: php-common
new_version: 2:79+0~20201210.30+debian9~1.gbpedaf15
122:
current_version: 1:7.0+49
name: php-curl
new_version: 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
123:
current_version: 1:7.0+49
name: php-fpm
new_version: 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
124:
current_version: 1:7.0+49
name: php-gd
new_version: 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
125:
current_version: 1:7.0+49
name: php-intl
new_version: 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
126:
current_version: 1:7.0+49
name: php-ldap
new_version: 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
127:
current_version: 1:7.0+49
name: php-mbstring
new_version: 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
128:
current_version: 1:7.0+49
name: php-mysql
new_version: 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
129:
current_version: 1:1.10.1+submodules+notgz-9+deb9u1
name: php-pear
new_version: 1:1.10.12+submodules+notgz-1+0~20201204.17+debian9~1.gbp545cab
130:
current_version: 1:7.0+49
name: php-xml
new_version: 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
131:
current_version: 1:7.0+49
name: php-zip
new_version: 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
132:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-cli
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
133:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-common
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
134:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-curl
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
135:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-fpm
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
136:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-gd
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
137:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-intl
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
138:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-json
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
139:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-ldap
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
140:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-mbstring
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
141:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-mcrypt
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
142:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-mysql
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
143:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-opcache
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
144:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-readline
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
145:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-xml
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
146:
current_version: 7.0.33-29+0~20200514.36+debian9~1.gbp126f6f
name: php7.0-zip
new_version: 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
147:
current_version: 3.1.14-0+deb9u1
name: postfix
new_version: 3.1.15-0+deb9u1
148:
current_version: 3.1.14-0+deb9u1
name: postfix-ldap
new_version: 3.1.15-0+deb9u1
149:
current_version: 3.1.14-0+deb9u1
name: postfix-pcre
new_version: 3.1.15-0+deb9u1
150:
current_version: 3.1.14-0+deb9u1
name: postfix-sqlite
new_version: 3.1.15-0+deb9u1
151:
current_version: 9.6.17-0+deb9u1
name: postgresql-9.6
new_version: 9.6.20-0+deb9u1
152:
current_version: 9.6.17-0+deb9u1
name: postgresql-client-9.6
new_version: 9.6.20-0+deb9u1
153:
current_version: 1.4-1
name: postsrsd
new_version: 1.4-1+deb9u1
154:
current_version: 1.4.1
name: python-apt
new_version: 1.4.3
155:
current_version: 1.4.1
name: python-apt-common
new_version: 1.4.3
156:
current_version: 0.12.13-1
name: python-bottle
new_version: 0.12.13-1+deb9u1
157:
current_version: 3.7.1-1
name: python-lxml
new_version: 3.7.1-1+deb9u4
158:
current_version: 9.0.1-2+deb9u1
name: python-pip
new_version: 9.0.1-2+deb9u2
159:
current_version: 9.0.1-2+deb9u1
name: python-pip-whl
new_version: 9.0.1-2+deb9u2
160:
current_version: 2.7.13-2+deb9u3
name: python2.7
new_version: 2.7.13-2+deb9u5
161:
current_version: 2.7.13-2+deb9u3
name: python2.7-dev
new_version: 2.7.13-2+deb9u5
162:
current_version: 2.7.13-2+deb9u3
name: python2.7-minimal
new_version: 2.7.13-2+deb9u5
163:
current_version: 1.4.1
name: python3-apt
new_version: 1.4.3
164:
current_version: 0.12.13-1
name: python3-bottle
new_version: 0.12.13-1+deb9u1
165:
current_version: 4.0.0-4+deb9u1
name: python3-pil
new_version: 4.0.0-4+deb9u2
166:
current_version: 0.96.20.2-1
name: python3-software-properties
new_version: 0.96.20.2-1+deb9u1
167:
current_version: 3.5.3-1+deb9u1
name: python3.5
new_version: 3.5.3-1+deb9u4
168:
current_version: 3.5.3-1+deb9u1
name: python3.5-minimal
new_version: 3.5.3-1+deb9u4
169:
current_version: 3:3.2.6-3+deb9u3
name: redis-server
new_version: 3:3.2.6-3+deb9u4
170:
current_version: 3:3.2.6-3+deb9u3
name: redis-tools
new_version: 3:3.2.6-3+deb9u4
171:
current_version: 4.5.0-6
name: screen
new_version: 4.5.0-6+deb9u1
172:
current_version: 2.4.44+dfsg-5+deb9u3
name: slapd
new_version: 2.4.44+dfsg-5+deb9u8
173:
current_version: 0.96.20.2-1
name: software-properties-common
new_version: 0.96.20.2-1+deb9u1
174:
current_version: 3.7.0.3
name: ssowat
new_version: 3.8.0.4
175:
current_version: 1.8.19p1-2.1+deb9u2
name: sudo-ldap
new_version: 1.8.19p1-2.1+deb9u3
176:
current_version: 1.4.2-2~armbian5.86+1
name: sunxi-tools
new_version: 1.4.2-2~armbian5.98+1
177:
current_version: 2019c-0+deb9u1
name: tzdata
new_version: 2021a-0+deb9u1
178:
current_version: 2.0.14+20161117-3+deb9u2
name: uwsgi
new_version: 2.0.14+20161117-3+deb9u3
179:
current_version: 2.0.14+20161117-3+deb9u2
name: uwsgi-core
new_version: 2.0.14+20161117-3+deb9u3
180:
current_version: 2.0.14+20161117-3+deb9u2
name: uwsgi-plugin-python
new_version: 2.0.14+20161117-3+deb9u3
181:
current_version: 2:2.4-1+deb9u4
name: wpasupplicant
new_version: 2:2.4-1+deb9u9
182:
current_version: 3.7.0.12
name: yunohost
new_version: 3.8.6
183:
current_version: 3.7.0.4
name: yunohost-admin
new_version: 3.8.3.6

  • $ sudo yunohost tools upgrade --system :

Info : Mise à jour des paquets en cours …
Info : Mise à jour des paquets du système (non liés a YunoHost) …
Info : + Reading package lists…
Info : + Building dependency tree…
Info : + Reading state information…
Info : + Calculating upgrade…
Info : + The following NEW packages will be installed:
Info : + libargon2-1 libpcre2-8-0 libsodium23 php7.4-cli php7.4-common php7.4-curl
Info : + php7.4-fpm php7.4-gd php7.4-intl php7.4-json php7.4-ldap php7.4-mbstring
Info : + php7.4-mysql php7.4-opcache php7.4-readline php7.4-xml php7.4-zip
Info : + The following packages have been kept back:
Info : + moulinette ssowat yunohost yunohost-admin
Info : + The following packages will be upgraded:
Info : + apt apt-transport-https apt-utils armbian-config armbian-firmware base-files
Info : + bind9-host bind9utils ca-certificates curl dbus dnsmasq dnsmasq-base
Info : + dnsutils dovecot-core dovecot-imapd dovecot-ldap dovecot-lmtpd
Info : + dovecot-managesieved dovecot-sieve e2fslibs e2fsprogs
Info : + gir1.2-packagekitglib-1.0 git git-man hostapd htop icu-devtools ldap-utils
Info : + libapt-inst2.0 libapt-pkg5.0 libbind9-140 libbsd0 libcaca0 libcomerr2
Info : + libcurl3 libcurl3-gnutls libdbi-perl libdbus-1-3 libdns-export162 libdns162
Info : + libfreetype6 libgd3 libgnutls30 libgssapi-krb5-2 libicu-dev libidn2-0
Info : + libisc-export160 libisc160 libisccc140 libisccfg140 libjpeg62-turbo
Info : + libjs-jquery libk5crypto3 libkrb5-3 libkrb5support0 libldap-2.4-2
Info : + libldap-common libluajit-5.1-2 libluajit-5.1-common liblwres141
Info : + libmariadbclient18 libnginx-mod-http-auth-pam libnginx-mod-http-cache-purge
Info : + libnginx-mod-http-dav-ext libnginx-mod-http-echo
Info : + libnginx-mod-http-fancyindex libnginx-mod-http-geoip
Info : + libnginx-mod-http-headers-more-filter libnginx-mod-http-image-filter
Info : + libnginx-mod-http-lua libnginx-mod-http-ndk libnginx-mod-http-perl
Info : + libnginx-mod-http-subs-filter libnginx-mod-http-uploadprogress
Info : + libnginx-mod-http-upstream-fair libnginx-mod-http-xslt-filter
Info : + libnginx-mod-mail libnginx-mod-nchan libnginx-mod-stream libonig4
Info : + libp11-kit0 libpackagekit-glib2-18 libpcre3 libperl5.24 libpq-dev libpq5
Info : + libpython2.7 libpython2.7-dev libpython2.7-minimal libpython2.7-stdlib
Info : + libpython3.5-minimal libpython3.5-stdlib libsqlite3-0 libss2 libssl-dev
Info : + libssl1.0.2 libssl1.1 libtiff5 libx11-6 libx11-data libxml2 libxml2-dev
Info : + libzip4 libzmq5 login mariadb-client-10.1 mariadb-client-core-10.1
Info : + mariadb-common mariadb-server mariadb-server-10.1 mariadb-server-core-10.1
Info : + metronome nginx-common nginx-extras openssl passwd perl perl-base
Info : + perl-modules-5.24 php-common php-curl php-fpm php-gd php-intl php-ldap
Info : + php-mbstring php-mysql php-pear php-xml php-zip php7.0-cli php7.0-common
Info : + php7.0-curl php7.0-fpm php7.0-gd php7.0-intl php7.0-json php7.0-ldap
Info : + php7.0-mbstring php7.0-mcrypt php7.0-mysql php7.0-opcache php7.0-readline
Info : + php7.0-xml php7.0-zip postfix postfix-ldap postfix-pcre postfix-sqlite
Info : + postgresql-9.6 postgresql-client-9.6 postsrsd python-apt python-apt-common
Info : + python-bottle python-lxml python-pip python-pip-whl python2.7 python2.7-dev
Info : + python2.7-minimal python3-apt python3-bottle python3-pil
Info : + python3-software-properties python3.5 python3.5-minimal redis-server
Info : + redis-tools screen slapd software-properties-common sudo-ldap sunxi-tools
Info : + tzdata uwsgi uwsgi-core uwsgi-plugin-python wpasupplicant
Info : + 180 upgraded, 17 newly installed, 0 to remove and 4 not upgraded.
Info : + Need to get 146 MB of archives.
Info : + After this operation, 12,3 MB disk space will be freed.
Info : + Get:1 http://forge.yunohost.org/debian stretch/stable armhf metronome armhf 3.14.1+ynh9-1 [395 kB]
Info : + Get:2 http://httpredir.debian.org/debian stretch/main armhf base-files armhf 9.9+deb9u13 [67,6 kB]
Info : + Get:3 http://security.debian.org stretch/updates/main armhf e2fslibs armhf 1.43.4-2+deb9u2 [197 kB]
Info : + Get:4 http://httpredir.debian.org/debian stretch/main armhf perl-modules-5.24 all 5.24.1-3+deb9u7 [2 723 kB]
Info : + Get:6 https://packages.sury.org/php stretch/main armhf libidn2-0 armhf 2.2.0-2+0~20200302.4+debian9~1.gbpf85c2e [123 kB]
Info : + Get:7 http://security.debian.org stretch/updates/main armhf e2fsprogs armhf 1.43.4-2+deb9u2 [932 kB]
Info : + Err:10 https://mirrors.netix.net/armbian/apt stretch/stretch-utils armhf htop armhf 3.1.0-0~armbian20.08.2+1
Info : + Could not resolve host: mirrors.netix.net
Info : + Err:12 https://packages.sury.org/php stretch/main armhf libpcre3 armhf 2:8.43-1+0~20200703.7+debian9~1.gbpbfc49f
Info : + 404 Not Found
Info : + Err:8 https://armbian.hosthatch.com/apt stretch/main armhf armbian-firmware all 21.02.4
Info : + Could not resolve host: armbian.hosthatch.com
Info : + Err:13 https://packages.sury.org/php stretch/main armhf libssl-dev armhf 1.1.1i-1+0~20201212.21+debian9~1.gbpc1ad96
Info : + 404 Not Found
Info : + Get:9 https://armbian.systemonachip.net/apt stretch/stretch-utils armhf hostapd armhf 3:2.9-102~armbian20.05.2+1 [402 kB]
Info : + Err:14 https://packages.sury.org/php stretch/main armhf libssl1.1 armhf 1.1.1i-1+0~20201212.21+debian9~1.gbpc1ad96
Info : + 404 Not Found
Info : + Get:11 https://armbian.hosthatch.com/apt stretch/stretch-utils armhf sunxi-tools armhf 1.4.2-2~armbian5.98+1 [40,7 kB]
Info : + Get:15 http://security.debian.org stretch/updates/main armhf login armhf 1:4.4-4.1+deb9u1 [789 kB]
Info : + Get:16 https://packages.sury.org/php stretch/main armhf icu-devtools armhf 65.1-1+0~20200223.8+debian9~1.gbp519cf3 [179 kB]
Info : + Get:5 https://mirrors.dotsrc.org/armbian-apt stretch/main armhf armbian-config all 21.02.4 [44,8 kB]
Info : + Get:17 http://httpredir.debian.org/debian stretch/main armhf libperl5.24 armhf 5.24.1-3+deb9u7 [2 866 kB]
Info : + Get:18 https://packages.sury.org/php stretch/main armhf libicu-dev armhf 65.1-1+0~20200223.8+debian9~1.gbp519cf3 [9 195 kB]
Info : + Get:19 http://security.debian.org stretch/updates/main armhf libapt-pkg5.0 armhf 1.4.11 [852 kB]
Info : + Get:20 https://packages.sury.org/php stretch/main armhf libxml2-dev armhf 2.9.9+dfsg-1+0~20200226.5+debian9~1.gbp3b6674 [740 kB]
Info : + Get:21 https://packages.sury.org/php stretch/main armhf libxml2 armhf 2.9.9+dfsg-1+0~20200226.5+debian9~1.gbp3b6674 [615 kB]
Info : + Err:22 https://packages.sury.org/php stretch/main armhf openssl armhf 1.1.1i-1+0~20201212.21+debian9~1.gbpc1ad96
Info : + 404 Not Found
Info : + Get:23 https://packages.sury.org/php stretch/main armhf libargon2-1 armhf 0~20190702-0.1+0~20190710.3+debian9~1.gbp2fb167 [24,0 kB]
Info : + Get:24 http://security.debian.org stretch/updates/main armhf libapt-inst2.0 armhf 1.4.11 [189 kB]
Info : + Get:25 http://security.debian.org stretch/updates/main armhf apt armhf 1.4.11 [1 199 kB]
Info : + Get:26 https://packages.sury.org/php stretch/main armhf libgd3 armhf 2.2.5-5.2+0~20190808.4+debian9~1.gbp6d9343 [117 kB]
Info : + Err:27 https://packages.sury.org/php stretch/main armhf libpcre2-8-0 armhf 10.34-7+0~20191219.5+debian9~1.gbp555bb9
Info : + 404 Not Found
Info : + Get:28 http://httpredir.debian.org/debian stretch/main armhf perl-base armhf 5.24.1-3+deb9u7 [1 240 kB]
Info : + Get:29 http://security.debian.org stretch/updates/main armhf apt-utils armhf 1.4.11 [398 kB]
Info : + Get:30 https://packages.sury.org/php stretch/main armhf libsodium23 armhf 1.0.18-1+0~20191009.1+debian9~1.gbpb6823f [166 kB]
Info : + Get:31 http://security.debian.org stretch/updates/main armhf libcomerr2 armhf 1.43.4-2+deb9u2 [63,2 kB]
Info : + Get:32 http://security.debian.org stretch/updates/main armhf libp11-kit0 armhf 0.23.3-2+deb9u1 [97,0 kB]
Info : + Get:33 http://security.debian.org stretch/updates/main armhf libk5crypto3 armhf 1.15-1+deb9u2 [117 kB]
Info : + Get:34 http://security.debian.org stretch/updates/main armhf libkrb5support0 armhf 1.15-1+deb9u2 [58,1 kB]
Info : + Get:35 http://security.debian.org stretch/updates/main armhf libkrb5-3 armhf 1.15-1+deb9u2 [267 kB]
Info : + Err:36 https://packages.sury.org/php stretch/main armhf php-common all 2:79+0~20201210.30+debian9~1.gbpedaf15
Info : + 404 Not Found
Info : + Get:37 http://httpredir.debian.org/debian stretch/main armhf perl armhf 5.24.1-3+deb9u7 [218 kB]
Info : + Err:38 https://packages.sury.org/php stretch/main armhf php7.4-common armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Get:39 http://security.debian.org stretch/updates/main armhf libgssapi-krb5-2 armhf 1.15-1+deb9u2 [134 kB]
Info : + Err:40 https://packages.sury.org/php stretch/main armhf php7.4-json armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Get:41 http://httpredir.debian.org/debian stretch/main armhf git-man all 1:2.11.0-3+deb9u7 [1 436 kB]
Info : + Err:42 https://packages.sury.org/php stretch/main armhf php7.4-opcache armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Get:43 http://security.debian.org stretch/updates/main armhf libldap-common all 2.4.44+dfsg-5+deb9u8 [86,2 kB]
Info : + Get:44 http://security.debian.org stretch/updates/main armhf libldap-2.4-2 armhf 2.4.44+dfsg-5+deb9u8 [198 kB]
Info : + Get:45 http://security.debian.org stretch/updates/main armhf ldap-utils armhf 2.4.44+dfsg-5+deb9u8 [182 kB]
Info : + Err:46 https://packages.sury.org/php stretch/main armhf php7.4-readline armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Get:47 http://security.debian.org stretch/updates/main armhf slapd armhf 2.4.44+dfsg-5+deb9u8 [1 343 kB]
Info : + Err:48 https://packages.sury.org/php stretch/main armhf php7.4-cli armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Err:49 https://packages.sury.org/php stretch/main armhf php7.4-fpm armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Get:50 http://httpredir.debian.org/debian stretch/main armhf libgnutls30 armhf 3.5.8-5+deb9u5 [840 kB]
Info : + Err:51 https://packages.sury.org/php stretch/main armhf php-fpm all 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
Info : + 404 Not Found
Info : + Err:52 https://packages.sury.org/php stretch/main armhf php7.4-intl armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Err:53 https://packages.sury.org/php stretch/main armhf php-intl all 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
Info : + 404 Not Found
Info : + Get:54 http://httpredir.debian.org/debian stretch/main armhf git armhf 1:2.11.0-3+deb9u7 [3 663 kB]
Info : + Get:55 http://security.debian.org stretch/updates/main armhf libcurl3-gnutls armhf 7.52.1-5+deb9u13 [263 kB]
Info : + Err:56 https://packages.sury.org/php stretch/main armhf php7.4-ldap armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Get:57 http://security.debian.org stretch/updates/main armhf mariadb-common all 10.1.48-0+deb9u2 [28,9 kB]
Info : + Get:58 http://security.debian.org stretch/updates/main armhf mariadb-client-core-10.1 armhf 10.1.48-0+deb9u2 [4 407 kB]
Info : + Err:59 https://packages.sury.org/php stretch/main armhf php-ldap all 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
Info : + 404 Not Found
Info : + Err:60 https://packages.sury.org/php stretch/main armhf php7.4-mysql armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Err:61 https://packages.sury.org/php stretch/main armhf php-mysql all 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
Info : + 404 Not Found
Info : + Get:62 https://packages.sury.org/php stretch/main armhf libzip4 armhf 1.7.3-1+0~20210114.10+debian9~1.gbp4c125d [49,6 kB]
Info : + Get:63 http://httpredir.debian.org/debian stretch/main armhf libdbus-1-3 armhf 1.10.32-0+deb9u1 [177 kB]
Info : + Err:64 https://packages.sury.org/php stretch/main armhf php7.4-curl armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Get:65 http://httpredir.debian.org/debian stretch/main armhf dbus armhf 1.10.32-0+deb9u1 [198 kB]
Info : + Get:66 http://httpredir.debian.org/debian stretch/main armhf libtiff5 armhf 4.0.8-2+deb9u5 [223 kB]
Info : + Get:67 http://httpredir.debian.org/debian stretch/main armhf postfix armhf 3.1.15-0+deb9u1 [1 380 kB]
Info : + Err:68 https://packages.sury.org/php stretch/main armhf php-curl all 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
Info : + 404 Not Found
Info : + Err:69 https://packages.sury.org/php stretch/main armhf php7.4-gd armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Err:70 https://packages.sury.org/php stretch/main armhf php-gd all 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
Info : + 404 Not Found
Info : + Get:71 http://httpredir.debian.org/debian stretch/main armhf postfix-ldap armhf 3.1.15-0+deb9u1 [336 kB]
Info : + Err:72 https://packages.sury.org/php stretch/main armhf php7.4-mbstring armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Get:73 http://httpredir.debian.org/debian stretch/main armhf postfix-pcre armhf 3.1.15-0+deb9u1 [324 kB]
Info : + Get:74 http://httpredir.debian.org/debian stretch/main armhf postfix-sqlite armhf 3.1.15-0+deb9u1 [323 kB]
Info : + Err:75 https://packages.sury.org/php stretch/main armhf php-mbstring all 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
Info : + 404 Not Found
Info : + Err:76 https://packages.sury.org/php stretch/main armhf php7.0-intl armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Get:77 http://security.debian.org stretch/updates/main armhf mariadb-client-10.1 armhf 10.1.48-0+deb9u2 [5 475 kB]
Info : + Err:78 https://packages.sury.org/php stretch/main armhf php7.0-xml armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:79 https://packages.sury.org/php stretch/main armhf php7.0-mysql armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:80 https://packages.sury.org/php stretch/main armhf php7.0-json armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:81 https://packages.sury.org/php stretch/main armhf php7.0-zip armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:82 https://packages.sury.org/php stretch/main armhf php7.0-opcache armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:83 https://packages.sury.org/php stretch/main armhf php7.0-fpm armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:84 https://packages.sury.org/php stretch/main armhf php7.0-curl armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:85 https://packages.sury.org/php stretch/main armhf php7.0-mcrypt armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:86 https://packages.sury.org/php stretch/main armhf php7.0-gd armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:87 https://packages.sury.org/php stretch/main armhf php7.0-mbstring armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:88 https://packages.sury.org/php stretch/main armhf php7.0-readline armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Get:89 http://security.debian.org stretch/updates/main armhf mariadb-server-core-10.1 armhf 10.1.48-0+deb9u2 [4 793 kB]
Info : + Err:90 https://packages.sury.org/php stretch/main armhf php7.0-ldap armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:91 https://packages.sury.org/php stretch/main armhf php7.0-cli armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:92 https://packages.sury.org/php stretch/main armhf php7.0-common armhf 7.0.33-38+0~20210112.44+debian9~1.gbpab637c
Info : + 404 Not Found
Info : + Err:93 https://packages.sury.org/php stretch/main armhf php7.4-xml armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Err:94 https://packages.sury.org/php stretch/main armhf php-xml all 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
Info : + 404 Not Found
Info : + Get:95 http://security.debian.org stretch/updates/main armhf mariadb-server-10.1 armhf 10.1.48-0+deb9u2 [4 782 kB]
Info : + Err:96 https://packages.sury.org/php stretch/main armhf php-pear all 1:1.10.12+submodules+notgz-1+0~20201204.17+debian9~1.gbp545cab
Info : + 404 Not Found
Info : + Err:97 https://packages.sury.org/php stretch/main armhf php7.4-zip armhf 7.4.13-1+0~20201130.33+debian9~1.gbpd59941
Info : + 404 Not Found
Info : + Err:98 https://packages.sury.org/php stretch/main armhf php-zip all 2:7.4+79+0~20201210.30+debian9~1.gbpedaf15
Info : + 404 Not Found
Info : + Get:99 http://security.debian.org stretch/updates/main armhf libdbi-perl armhf 1.636-1+deb9u1 [760 kB]
Info : + Get:100 http://security.debian.org stretch/updates/main armhf passwd armhf 1:4.4-4.1+deb9u1 [958 kB]
Info : + Get:101 http://security.debian.org stretch/updates/main armhf libpython2.7-dev armhf 2.7.13-2+deb9u5 [27,7 MB]
Info : + Get:102 http://security.debian.org stretch/updates/main armhf python2.7-dev armhf 2.7.13-2+deb9u5 [284 kB]
Info : + Get:103 http://security.debian.org stretch/updates/main armhf libpython2.7-minimal armhf 2.7.13-2+deb9u5 [390 kB]
Info : + Get:104 http://security.debian.org stretch/updates/main armhf python2.7-minimal armhf 2.7.13-2+deb9u5 [1 178 kB]
Info : + Get:105 http://security.debian.org stretch/updates/main armhf libpython2.7-stdlib armhf 2.7.13-2+deb9u5 [1 822 kB]
Info : + Get:106 http://security.debian.org stretch/updates/main armhf python2.7 armhf 2.7.13-2+deb9u5 [286 kB]
Info : + Get:107 http://security.debian.org stretch/updates/main armhf libpython2.7 armhf 2.7.13-2+deb9u5 [941 kB]
Info : + Get:108 http://security.debian.org stretch/updates/main armhf libsqlite3-0 armhf 3.16.2-5+deb9u3 [500 kB]
Info : + Get:109 http://security.debian.org stretch/updates/main armhf libpython3.5-minimal armhf 3.5.3-1+deb9u4 [568 kB]
Info : + Get:110 http://security.debian.org stretch/updates/main armhf libpython3.5-stdlib armhf 3.5.3-1+deb9u4 [2 085 kB]
Info : + Get:111 http://security.debian.org stretch/updates/main armhf python3.5-minimal armhf 3.5.3-1+deb9u4 [1 442 kB]
Info : + Get:112 http://security.debian.org stretch/updates/main armhf python3.5 armhf 3.5.3-1+deb9u4 [231 kB]
Info : + Get:113 http://security.debian.org stretch/updates/main armhf libss2 armhf 1.43.4-2+deb9u2 [66,8 kB]
Info : + Get:114 http://security.debian.org stretch/updates/main armhf tzdata all 2021a-0+deb9u1 [281 kB]
Info : + Get:115 http://security.debian.org stretch/updates/main armhf libssl1.0.2 armhf 1.0.2u-1~deb9u4 [927 kB]
Info : + Get:116 http://security.debian.org stretch/updates/main armhf libdns162 armhf 1:9.10.3.dfsg.P4-12.3+deb9u9 [967 kB]
Info : + Get:117 http://security.debian.org stretch/updates/main armhf libisccfg140 armhf 1:9.10.3.dfsg.P4-12.3+deb9u9 [216 kB]
Info : + Get:118 http://security.debian.org stretch/updates/main armhf liblwres141 armhf 1:9.10.3.dfsg.P4-12.3+deb9u9 [210 kB]
Info : + Get:119 http://security.debian.org stretch/updates/main armhf libbind9-140 armhf 1:9.10.3.dfsg.P4-12.3+deb9u9 [205 kB]
Info : + Get:120 http://security.debian.org stretch/updates/main armhf libisc160 armhf 1:9.10.3.dfsg.P4-12.3+deb9u9 [370 kB]
Info : + Get:121 http://security.debian.org stretch/updates/main armhf dnsutils armhf 1:9.10.3.dfsg.P4-12.3+deb9u9 [281 kB]
Info : + Get:122 http://security.debian.org stretch/updates/main armhf bind9-host armhf 1:9.10.3.dfsg.P4-12.3+deb9u9 [230 kB]
Info : + Get:123 http://security.debian.org stretch/updates/main armhf libisccc140 armhf 1:9.10.3.dfsg.P4-12.3+deb9u9 [197 kB]
Info : + Get:124 http://security.debian.org stretch/updates/main armhf python-apt-common all 1.4.3 [94,2 kB]
Info : + Get:125 http://security.debian.org stretch/updates/main armhf python3-apt armhf 1.4.3 [163 kB]
Info : + Get:126 http://security.debian.org stretch/updates/main armhf python-apt armhf 1.4.3 [164 kB]
Info : + Get:127 http://security.debian.org stretch/updates/main armhf apt-transport-https armhf 1.4.11 [167 kB]
Info : + Get:128 http://security.debian.org stretch/updates/main armhf bind9utils armhf 1:9.10.3.dfsg.P4-12.3+deb9u9 [369 kB]
Info : + Get:129 http://security.debian.org stretch/updates/main armhf ca-certificates all 20200601~deb9u2 [168 kB]
Info : + Get:130 http://security.debian.org stretch/updates/main armhf libcurl3 armhf 7.52.1-5+deb9u13 [265 kB]
Info : + Get:131 http://security.debian.org stretch/updates/main armhf curl armhf 7.52.1-5+deb9u13 [224 kB]
Info : + Get:132 http://security.debian.org stretch/updates/main armhf dnsmasq-base armhf 2.76-5+deb9u3 [394 kB]
Info : + Get:133 http://security.debian.org stretch/updates/main armhf dnsmasq all 2.76-5+deb9u3 [15,9 kB]
Info : + Get:134 http://security.debian.org stretch/updates/main armhf dovecot-core armhf 1:2.2.27-3+deb9u7 [3 094 kB]
Info : + Get:135 http://security.debian.org stretch/updates/main armhf dovecot-sieve armhf 1:2.2.27-3+deb9u7 [932 kB]
Info : + Get:136 http://security.debian.org stretch/updates/main armhf dovecot-lmtpd armhf 1:2.2.27-3+deb9u7 [691 kB]
Info : + Get:137 http://security.debian.org stretch/updates/main armhf dovecot-ldap armhf 1:2.2.27-3+deb9u7 [854 kB]
Info : + Get:138 http://security.debian.org stretch/updates/main armhf dovecot-imapd armhf 1:2.2.27-3+deb9u7 [799 kB]
Info : + Get:139 http://security.debian.org stretch/updates/main armhf dovecot-managesieved armhf 1:2.2.27-3+deb9u7 [706 kB]
Info : + Get:140 http://security.debian.org stretch/updates/main armhf libbsd0 armhf 0.8.3-1+deb9u1 [92,4 kB]
Info : + Get:141 http://security.debian.org stretch/updates/main armhf libfreetype6 armhf 2.6.3-3.2+deb9u2 [389 kB]
Info : + Get:142 http://security.debian.org stretch/updates/main armhf libjpeg62-turbo armhf 1:1.5.1-2+deb9u1 [112 kB]
Info : + Get:143 http://security.debian.org stretch/updates/main armhf libluajit-5.1-common all 2.0.4+dfsg-1+deb9u1 [36,8 kB]
Info : + Get:144 http://security.debian.org stretch/updates/main armhf libluajit-5.1-2 armhf 2.0.4+dfsg-1+deb9u1 [173 kB]
Info : + Get:145 http://security.debian.org stretch/updates/main armhf libmariadbclient18 armhf 10.1.48-0+deb9u2 [733 kB]
Info : + Get:146 http://security.debian.org stretch/updates/main armhf nginx-common all 1.10.3-1+deb9u5 [105 kB]
Info : + Get:147 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-auth-pam armhf 1.10.3-1+deb9u5 [85,8 kB]
Info : + Get:148 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-dav-ext armhf 1.10.3-1+deb9u5 [87,5 kB]
Info : + Get:149 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-echo armhf 1.10.3-1+deb9u5 [95,5 kB]
Info : + Get:150 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-geoip armhf 1.10.3-1+deb9u5 [86,9 kB]
Info : + Get:151 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-headers-more-filter armhf 1.10.3-1+deb9u5 [90,1 kB]
Info : + Get:152 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-image-filter armhf 1.10.3-1+deb9u5 [89,8 kB]
Info : + Get:153 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-ndk armhf 1.10.3-1+deb9u5 [86,5 kB]
Info : + Get:154 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-lua armhf 1.10.3-1+deb9u5 [210 kB]
Info : + Get:155 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-perl armhf 1.10.3-1+deb9u5 [96,7 kB]
Info : + Get:156 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-subs-filter armhf 1.10.3-1+deb9u5 [88,9 kB]
Info : + Get:157 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-uploadprogress armhf 1.10.3-1+deb9u5 [91,7 kB]
Info : + Get:158 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-upstream-fair armhf 1.10.3-1+deb9u5 [89,0 kB]
Info : + Get:159 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-xslt-filter armhf 1.10.3-1+deb9u5 [88,5 kB]
Info : + Get:160 http://security.debian.org stretch/updates/main armhf libnginx-mod-mail armhf 1.10.3-1+deb9u5 [114 kB]
Info : + Get:161 http://security.debian.org stretch/updates/main armhf libnginx-mod-nchan armhf 1.10.3-1+deb9u5 [212 kB]
Info : + Get:162 http://security.debian.org stretch/updates/main armhf libnginx-mod-stream armhf 1.10.3-1+deb9u5 [107 kB]
Info : + Get:163 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-cache-purge armhf 1.10.3-1+deb9u5 [88,0 kB]
Info : + Get:164 http://security.debian.org stretch/updates/main armhf libnginx-mod-http-fancyindex armhf 1.10.3-1+deb9u5 [90,9 kB]
Info : + Get:165 http://security.debian.org stretch/updates/main armhf nginx-extras armhf 1.10.3-1+deb9u5 [433 kB]
Info : + Get:166 http://security.debian.org stretch/updates/main armhf libonig4 armhf 6.1.3-2+deb9u2 [129 kB]
Info : + Get:167 http://security.debian.org stretch/updates/main armhf libx11-data all 2:1.6.4-3+deb9u3 [291 kB]
Info : + Get:168 http://security.debian.org stretch/updates/main armhf libx11-6 armhf 2:1.6.4-3+deb9u3 [690 kB]
Info : + Get:169 http://security.debian.org stretch/updates/main armhf mariadb-server all 10.1.48-0+deb9u2 [27,8 kB]
Info : + Get:170 http://security.debian.org stretch/updates/main armhf postsrsd armhf 1.4-1+deb9u1 [25,4 kB]
Info : + Get:171 http://security.debian.org stretch/updates/main armhf python-bottle all 0.12.13-1+deb9u1 [46,5 kB]
Info : + Get:172 http://security.debian.org stretch/updates/main armhf redis-tools armhf 3:3.2.6-3+deb9u4 [403 kB]
Info : + Get:173 http://security.debian.org stretch/updates/main armhf redis-server armhf 3:3.2.6-3+deb9u4 [361 kB]
Info : + Get:174 http://security.debian.org stretch/updates/main armhf sudo-ldap armhf 1.8.19p1-2.1+deb9u3 [1 065 kB]
Info : + Get:175 http://security.debian.org stretch/updates/main armhf libpackagekit-glib2-18 armhf 1.1.5-2+deb9u2 [100 kB]
Info : + Get:176 http://security.debian.org stretch/updates/main armhf gir1.2-packagekitglib-1.0 armhf 1.1.5-2+deb9u2 [34,9 kB]
Info : + Get:177 http://security.debian.org stretch/updates/main armhf software-properties-common all 0.96.20.2-1+deb9u1 [83,8 kB]
Info : + Get:178 http://security.debian.org stretch/updates/main armhf python3-software-properties all 0.96.20.2-1+deb9u1 [49,7 kB]
Info : + Get:179 http://security.debian.org stretch/updates/main armhf libcaca0 armhf 0.99.beta19-2.1~deb9u2 [336 kB]
Info : + Get:180 http://security.debian.org stretch/updates/main armhf libisc-export160 armhf 1:9.10.3.dfsg.P4-12.3+deb9u9 [319 kB]
Info : + Get:181 http://security.debian.org stretch/updates/main armhf libdns-export162 armhf 1:9.10.3.dfsg.P4-12.3+deb9u9 [790 kB]
Info : + Get:182 http://security.debian.org stretch/updates/main armhf libjs-jquery all 3.1.1-2+deb9u2 [154 kB]
Info : + Get:183 http://security.debian.org stretch/updates/main armhf libpq-dev armhf 9.6.20-0+deb9u1 [200 kB]
Info : + Get:184 http://security.debian.org stretch/updates/main armhf libpq5 armhf 9.6.20-0+deb9u1 [125 kB]
Info : + Get:185 http://security.debian.org stretch/updates/main armhf libzmq5 armhf 4.2.1-4+deb9u4 [177 kB]
Info : + Get:186 http://security.debian.org stretch/updates/main armhf postgresql-client-9.6 armhf 9.6.20-0+deb9u1 [1 210 kB]
Info : + Get:187 http://security.debian.org stretch/updates/main armhf postgresql-9.6 armhf 9.6.20-0+deb9u1 [3 808 kB]
Info : + Get:188 http://security.debian.org stretch/updates/main armhf python-lxml armhf 3.7.1-1+deb9u4 [829 kB]
Info : + Get:189 http://security.debian.org stretch/updates/main armhf python-pip all 9.0.1-2+deb9u2 [179 kB]
Info : + Get:190 http://security.debian.org stretch/updates/main armhf python-pip-whl all 9.0.1-2+deb9u2 [1 399 kB]
Info : + Get:191 http://security.debian.org stretch/updates/main armhf python3-bottle all 0.12.13-1+deb9u1 [46,6 kB]
Info : + Get:192 http://security.debian.org stretch/updates/main armhf python3-pil armhf 4.0.0-4+deb9u2 [353 kB]
Info : + Get:193 http://security.debian.org stretch/updates/main armhf screen armhf 4.5.0-6+deb9u1 [565 kB]
Info : + Get:194 http://security.debian.org stretch/updates/main armhf uwsgi-plugin-python armhf 2.0.14+20161117-3+deb9u3 [97,5 kB]
Info : + Get:195 http://security.debian.org stretch/updates/main armhf uwsgi armhf 2.0.14+20161117-3+deb9u3 [47,4 kB]
Info : + Get:196 http://security.debian.org stretch/updates/main armhf uwsgi-core armhf 2.0.14+20161117-3+deb9u3 [504 kB]
Info : + Get:197 http://security.debian.org stretch/updates/main armhf wpasupplicant armhf 2:2.4-1+deb9u9 [851 kB]
Info : + Fetched 126 MB in 1min 43s (1 219 kB/s)
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/pcre3/libpcre3_8.43-1+0~20200703.7+debian9~1.gbpbfc49f_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/o/openssl/libssl-dev_1.1.1i-1+0~20201212.21+debian9~1.gbpc1ad96_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/o/openssl/libssl1.1_1.1.1i-1+0~20201212.21+debian9~1.gbpc1ad96_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/o/openssl/openssl_1.1.1i-1+0~20201212.21+debian9~1.gbpc1ad96_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/pcre2/libpcre2-8-0_10.34-7+0~20191219.5+debian9~1.gbp555bb9_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-common_79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-common_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-json_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-opcache_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-readline_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-cli_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-fpm_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-fpm_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-intl_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-intl_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-ldap_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-ldap_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-mysql_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-mysql_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
Attention : E: Failed to fetch https://armbian.hosthatch.com/apt/pool/main/a/armbian-firmware/armbian-firmware_21.02.4_all.deb Could not resolve host: armbian.hosthatch.com
Attention : E: Failed to fetch https://mirrors.netix.net/armbian/apt/pool/stretch-utils/h/htop/htop_3.1.0-0~armbian20.08.2+1_armhf.deb Could not resolve host: mirrors.netix.net
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-curl_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-curl_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-gd_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-gd_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-mbstring_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-mbstring_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-intl_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-xml_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-mysql_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-json_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-zip_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-opcache_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-fpm_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-curl_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-mcrypt_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-gd_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-mbstring_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-readline_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-ldap_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-cli_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.0/php7.0-common_7.0.33-38+0~20210112.44+debian9~1.gbpab637c_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-xml_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-xml_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-pear/php-pear_1.10.12+submodules+notgz-1+0~20201204.17+debian9~1.gbp545cab_all.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php7.4/php7.4-zip_7.4.13-1+0~20201130.33+debian9~1.gbpd59941_armhf.deb 404 Not Found
Attention : E: Failed to fetch https://packages.sury.org/php/pool/main/p/php-defaults/php-zip_7.4+79+0~20201210.30+debian9~1.gbpedaf15_all.deb 404 Not Found
Attention : E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
Info : L’opération ‘Mettre à jour les paquets du système’ a échouée ! Pour obtenir de l’aide, merci de partager le journal de l’opération en utilisant la commande ‘yunohost log display [date]-[heure]-tools_upgrade --share’
Traceback (most recent call last):
File “/usr/bin/yunohost”, line 214, in
timeout=opts.timeout,
File “/usr/lib/python2.7/dist-packages/moulinette/init.py”, line 135, in cli
moulinette.run(args, output_as=output_as, password=password, timeout=timeout)
File “/usr/lib/python2.7/dist-packages/moulinette/interfaces/cli.py”, line 424, in run
ret = self.actionsmap.process(args, timeout=timeout)
File “/usr/lib/python2.7/dist-packages/moulinette/actionsmap.py”, line 527, in process
return func(**arguments)
File “/usr/lib/moulinette/yunohost/log.py”, line 287, in func_wrapper
result = func(*args, **kwargs)
File “/usr/lib/moulinette/yunohost/tools.py”, line 653, in tools_upgrade
packages_list=’, '.join(noncritical_packages_upgradable))
File “/usr/lib/python2.7/logging/init.py”, line 1179, in warning
self._log(WARNING, msg, args, **kwargs)
File “/usr/lib/python2.7/dist-packages/moulinette/utils/log.py”, line 113, in _log
return Logger._log(self, *args, **kwargs)
TypeError: _log() got an unexpected keyword argument ‘packages_list’

  • $ cat /etc/apt/sources.list :

deb http://httpredir.debian.org/debian stretch main contrib non-free
#deb-src http://httpredir.debian.org/debian stretch main contrib non-free

deb http://httpredir.debian.org/debian stretch-updates main contrib non-free
#deb-src http://httpredir.debian.org/debian stretch-updates main contrib non-free

#deb http://httpredir.debian.org/debian stretch-backports main contrib non-free
#deb-src http://httpredir.debian.org/debian stretch-backports main contrib non-free

deb http://security.debian.org/ stretch/updates main contrib non-free
#deb-src http://security.debian.org/ stretch/updates main contrib non-free

  • $ cat /etc/apt/sources.list.d/* :

deb http://apt.armbian.com stretch main stretch-utils stretch-desktop
deb Index of /php/ stretch main
deb Index of /debian/ stretch stable

  • $ apt-key list :

/etc/apt/trusted.gpg

pub rsa4096 2015-03-16 [SC]
DF00 FAF1 C577 104B 50BF 1D00 93D6 889F 9F0E 78D5
uid [ unknown] Igor Pecovnik (Ljubljana, Slovenia) igor.pecovnik@gmail.com
sub rsa4096 2015-03-16 [E]

pub rsa2048 2012-04-17 [SC]
1904 C5B4 2E48 56DC D4E9 CF96 360A AF32 59A3 E6FF
uid [ unknown] YunoHost build@yunohost.org
sub rsa2048 2012-04-17 [E]

/etc/apt/trusted.gpg.d/debian-archive-buster-automatic.gpg

pub rsa4096 2019-04-14 [SC] [expires: 2027-04-12]
80D1 5823 B7FD 1561 F9F7 BCDD DC30 D7C2 3CBB ABEE
uid [ unknown] Debian Archive Automatic Signing Key (10/buster) ftpmaster@debian.org
sub rsa4096 2019-04-14 [S] [expires: 2027-04-12]

/etc/apt/trusted.gpg.d/debian-archive-buster-security-automatic.gpg

pub rsa4096 2019-04-14 [SC] [expires: 2027-04-12]
5E61 B217 265D A980 7A23 C5FF 4DFA B270 CAA9 6DFA
uid [ unknown] Debian Security Archive Automatic Signing Key (10/buster) ftpmaster@debian.org
sub rsa4096 2019-04-14 [S] [expires: 2027-04-12]

/etc/apt/trusted.gpg.d/debian-archive-buster-stable.gpg

pub rsa4096 2019-02-05 [SC] [expires: 2027-02-03]
6D33 866E DD8F FA41 C014 3AED DCC9 EFBF 77E1 1517
uid [ unknown] Debian Stable Release Key (10/buster) debian-release@lists.debian.org

/etc/apt/trusted.gpg.d/debian-archive-jessie-automatic.gpg

pub rsa4096 2014-11-21 [SC] [expires: 2022-11-19]
126C 0D24 BD8A 2942 CC7D F8AC 7638 D044 2B90 D010
uid [ unknown] Debian Archive Automatic Signing Key (8/jessie) ftpmaster@debian.org

/etc/apt/trusted.gpg.d/debian-archive-jessie-security-automatic.gpg

pub rsa4096 2014-11-21 [SC] [expires: 2022-11-19]
D211 6914 1CEC D440 F2EB 8DDA 9D6D 8F6B C857 C906
uid [ unknown] Debian Security Archive Automatic Signing Key (8/jessie) ftpmaster@debian.org

/etc/apt/trusted.gpg.d/debian-archive-jessie-stable.gpg

pub rsa4096 2013-08-17 [SC] [expires: 2021-08-15]
75DD C3C4 A499 F1A1 8CB5 F3C8 CBF8 D6FD 518E 17E1
uid [ unknown] Jessie Stable Release Key debian-release@lists.debian.org

/etc/apt/trusted.gpg.d/debian-archive-stretch-automatic.gpg

pub rsa4096 2017-05-22 [SC] [expires: 2025-05-20]
E1CF 20DD FFE4 B89E 8026 58F1 E0B1 1894 F66A EC98
uid [ unknown] Debian Archive Automatic Signing Key (9/stretch) ftpmaster@debian.org
sub rsa4096 2017-05-22 [S] [expires: 2025-05-20]

/etc/apt/trusted.gpg.d/debian-archive-stretch-security-automatic.gpg

pub rsa4096 2017-05-22 [SC] [expires: 2025-05-20]
6ED6 F5CB 5FA6 FB2F 460A E88E EDA0 D238 8AE2 2BA9
uid [ unknown] Debian Security Archive Automatic Signing Key (9/stretch) ftpmaster@debian.org
sub rsa4096 2017-05-22 [S] [expires: 2025-05-20]

/etc/apt/trusted.gpg.d/debian-archive-stretch-stable.gpg

pub rsa4096 2017-05-20 [SC] [expires: 2025-05-18]
067E 3C45 6BAE 240A CEE8 8F6F EF0F 382A 1A7B 6500
uid [ unknown] Debian Stable Release Key (9/stretch) debian-release@lists.debian.org

/etc/apt/trusted.gpg.d/extra_php_version.gpg

pub rsa3072 2019-03-18 [SC] [expired: 2021-03-17]
1505 8500 A023 5D97 F5D1 0063 B188 E2B6 95BD 4743
uid [ expired] DEB.SURY.ORG Automatic Signing Key deb@sury.org

Les 4 lignes ci-dessous ne sont-elles pas étranges ou dangereuses ?! :hot_face:

pub rsa4096 2015-03-16 [SC]
DF00 FAF1 C577 104B 50BF 1D00 93D6 889F 9F0E 78D5
uid [ unknown] Igor Pecovnik (Ljubljana, Slovenia) igor.pecovnik@gmail.com
sub rsa4096 2015-03-16 [E]

  • $ dmesg | grep corrupt → rien en sortie

J’espère que la suite des logs de résultats n’est pas trop longue ou lourde à lire…

Bonne soirée.

c.f. Recurring issues during system updates these days, and how to fix them

Merci @Aleks pour le lien. Oui cela a résolu le problème de la signature :slight_smile:

Je suis passé en version 3.8.6. J’essaie donc de passer à la version 4 comme hautement recommandé dans l’interface d’administration mais j’obtiens une erreur. Voila les logs:

J’ai essayé les deux commandes indiquées (sudo apt install --fix-broken et sudo dpkg --configure -a) mais rien n’y fait :frowning:

Voilà le résultat des commandes :

Résumé
$ sudo apt install --fix-broken
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  dh-python fonts-lyx g++-6 glances golang-docker-credential-helpers guile-2.0-libs hddtemp libbind9-140 libblas-common libblas3 libboost-filesystem1.62.0
  libboost-iostreams1.62.0 libboost-system1.62.0 libdbus-glib-1-2 libdns162 libevent-2.0-5 libf2fs0 libgfortran3 libgfortran5 libhiredis0.13 libicu57
  libimagequant0 libisc160 libisccc140 libisccfg140 libjemalloc1 libjs-angularjs libjs-jquery-ui libjs-lodash liblapack3 liblcms2-2 liblwres141 libntfs-3g871
  libonig4 libperl5.24 libpython3.5-minimal libpython3.5-stdlib libqrencode3 libsecret-1-0 libsecret-common libsodium18 libstdc++-6-dev libunbound2
  libwebpdemux2 libwebpmux2 libwebpmux3 node-normalize.css python-apt python-gdbm python-gnupg python-matplotlib-data python3-bottle python3-certifi
  python3-chardet python3-crypto python3-cycler python3-dateutil python3-docker python3-dockerpycreds python3-idna python3-kiwisolver python3-matplotlib
  python3-netifaces python3-numpy python3-pil python3-psutil python3-pyasn1 python3-pycryptodome python3-pyparsing python3-pysmi python3-pysnmp4
  python3-pystache python3-requests python3-six python3-tz python3-urllib3 python3-websocket python3.5 python3.5-minimal
Use 'sudo apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 6 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up sysfsutils (2.1.0+repack-5) ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Job for sysfsutils.service failed because the control process exited with error code.
See "systemctl status sysfsutils.service" and "journalctl -xe" for details.
invoke-rc.d: initscript sysfsutils, action "restart" failed.
 sysfsutils.service - LSB: Set sysfs variables from /etc/sysfs.conf
   Loaded: loaded (/etc/init.d/sysfsutils; generated)
   Active: failed (Result: exit-code) since Tue 2021-05-11 20:55:11 UTC; 124ms ago
     Docs: man:systemd-sysv-generator(8)
  Process: 3751 ExecStart=/etc/init.d/sysfsutils start (code=exited, status=1/FAILURE)

mai 11 20:55:11 [domain].[nohost] systemd[1]: Starting LSB: Set sysfs variables from /etc/sysfs.conf...
mai 11 20:55:11 [domain].[nohost] sysfsutils[3751]: Setting sysfs variables.../etc/init.d/sysfsutils: 50: echo: echo: I/O error
mai 11 20:55:11 [domain].[nohost] systemd[1]: sysfsutils.service: Control process exited, code=exited, status=1/FAILURE
mai 11 20:55:11 [domain].[nohost] systemd[1]: sysfsutils.service: Failed with result 'exit-code'.
mai 11 20:55:11 [domain].[nohost] systemd[1]: Failed to start LSB: Set sysfs variables from /etc/sysfs.conf.
dpkg: error processing package sysfsutils (--configure):
 installed sysfsutils package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 sysfsutils
E: Sub-process /usr/bin/dpkg returned an error code (1)
[user]@[domaine]:~$ sudo dpkg --configure -a
Setting up sysfsutils (2.1.0+repack-5) ...
update-rc.d: warning: start and stop actions are no longer supported; falling back to defaults
Job for sysfsutils.service failed because the control process exited with error code.
See "systemctl status sysfsutils.service" and "journalctl -xe" for details.
invoke-rc.d: initscript sysfsutils, action "restart" failed.
 sysfsutils.service - LSB: Set sysfs variables from /etc/sysfs.conf
   Loaded: loaded (/etc/init.d/sysfsutils; generated)
   Active: failed (Result: exit-code) since Tue 2021-05-11 20:55:37 UTC; 62ms ago
     Docs: man:systemd-sysv-generator(8)
  Process: 3842 ExecStart=/etc/init.d/sysfsutils start (code=exited, status=1/FAILURE)

mai 11 20:55:37 [domain].[nohost] systemd[1]: Starting LSB: Set sysfs variables from /etc/sysfs.conf...
mai 11 20:55:37 [domain].[nohost] sysfsutils[3842]: Setting sysfs variables.../etc/init.d/sysfsutils: 50: echo: echo: I/O error
mai 11 20:55:37 [domain].[nohost] systemd[1]: sysfsutils.service: Control process exited, code=exited, status=1/FAILURE
mai 11 20:55:37 [domain].[nohost] systemd[1]: sysfsutils.service: Failed with result 'exit-code'.
mai 11 20:55:37 [domain].[nohost] systemd[1]: Failed to start LSB: Set sysfs variables from /etc/sysfs.conf.
dpkg: error processing package sysfsutils (--configure):
 installed sysfsutils package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 sysfsutils

Comment puis-je résoudre ce problème de paquets ?

Bonne soirée à vous :slight_smile:

PS : ça peut éventuellement être utile, voilà une copie d’écran de la section “System update” (la liste des applications n’est pas finie sur l’image)

Mouarf ben essayons de creuser ce que dit journalctl -n 100 -u sysfsutils --no-pager --no-hostname, mais a prior ce sysfsutils est indépendant de yunohost …

Bonsoir Aleks,

voilà ce que dit la commande indiquée :

$ sudo journalctl -n 100 -u sysfsutils --no-pager --no-hostname
-- Logs begin at Wed 2021-05-12 20:02:06 UTC, end at Wed 2021-05-12 22:05:58 UTC. --
mai 12 20:02:25 systemd[1]: Starting LSB: Set sysfs variables from /etc/sysfs.conf...
mai 12 20:02:26 sysfsutils[1294]: Setting sysfs variables.../etc/init.d/sysfsutils: 50: echo: echo: I/O error
mai 12 20:02:27 systemd[1]: sysfsutils.service: Control process exited, code=exited, status=1/FAILURE
mai 12 20:02:27 systemd[1]: sysfsutils.service: Failed with result 'exit-code'.
mai 12 20:02:27 systemd[1]: Failed to start LSB: Set sysfs variables from /etc/sysfs.conf.

Je ne suis pas sûre que cela puisse aider, si ?

Je ne sais pas si cela peut aider mais au niveau de la section “15. Upgrade the system to Debian Buster and YunoHost 4.x” sous “Tools / Migrations” j’ai l’indication que 3 fichiers ont été modifiés manuellement…

Please note that the following possibly problematic installed apps were detected. It looks like those were not installed from the YunoHost app catalog, or are not flagged as 'working'. Consequently, it cannot be guaranteed that they will still work after the upgrade:
- multi_webapp

Please note that the following files were found to be manually modified and might be overwritten following the upgrade:
- /etc/nslcd.conf
- /etc/resolv.dnsmasq.conf
- /etc/ssh/sshd_config
I read and understood this disclaimer

Je ne me rappelle pas que nous ayons modifié ces fichiers nous-mêmes. Nous avons cependant mis à jour la page index.html de l’application ‘multi_webapp’.

Peux-être que ces 2 informations peuvent donner des indices ?

Bonne soirée.

Non, ça n’a pas l’air lié.

(Pour info le soucis avec multi_webapp est que l’app ne sera plus maintenu, il faut privilégier my_webapp qui rempli la même fonction)

Le soucis avec sysfsutils semble venir de:

Du coup essayons de voir ce qu’il y a la ligne 50 de ce fichier:

grep 'echo' /etc/init.d/sysfsutils

Ok, pas de problème. Merci pour l’info :wink:

$ grep 'echo' /etc/init.d/sysfsutils 
		     echo -n "$f2" > "/sys/$f1" 2>/dev/null ||
			echo "$f2" > "/sys/$f1"
	echo "Usage: /etc/init.d/sysfsutils {start|stop|force-reload|restart}"
$ 

La ligne 50 correspond à echo "$f2" > "/sys/$f1"

À toute.

Salut Alex, salut tout le monde,

je me permets de ‘pinger’ cette conversation pour savoir si quelqu’un a une idée suite à mon(es) dernier(s) message(s).

À toute :slight_smile:

Berf beh je sais pas trop, à priori ça a vraiment l’air d’être un soucis avec sysfsutils qui apriori n’a rien à voir avec Yunohost

Ça ressemble à un programme qui essaye de configurer des périphériques et lorsqu’il essaye de configurer l’un d’entre eux il se prend une erreur d’entrée/sortie (I/O error) ce qui est généralement symptomatique d’un problème matériel avec le périphérique en question

Sauf qu’on ne sais pas de quel périphérique il s’agit car le programme ne le dit pas (mais j’imagine que c’est un périph’ de stockage)

Salut Aleks,

merci pour ton retour. J’ai une configuration par défaut de Yunohost. Le seul périphérique que j’ai est la carte mémoire. Doit-on lancer une commande pour vérifier s’il existe des erreurs sur des secteurs du disque ? Personnellement, je ne sais pas :frowning:

À toute.

Salut à tous,

qu’est-ce que je peux faire pour avoir la mise à jour de ma brique internet… et par l’occasion ainsi pouvoir avoir le certificat correct et offrir aux utilisateurs d’accéder aux services sans peur ou doutes ?

Pour le moment, je n’ai pas trouvé plus d’info sur le forum à propos de l’erreur sysfsutils.

D’avance merci à vous.

Hello,

behmouarf c’est pas clair comment résoudre le truc, comme dit le service problématique est indépendant n’est pas développé ou géré par Yunohost donc on ne sait pas trop comment t’aider ou pourquoi il pose problème

J’imagine que le plus simple serait d’interagir directement sur le chat pour qu’on puisse tenter des trucs en live plutôt que faire des allez-retour sur le forum qui prennent du temps

Naivement tu peux tenter des choses comme

systemctl disable sysfsutils --now

et voir si ça résouds le problème, mais peut-être que ça peut aussi tout casser, encore une fois, je ne sais pas à quoi sert ce service ¯\_(ツ)_/¯

Bonsoir,

J’ai cherché le détail de ce paquet Debian :
https://packages.debian.org/fr/buster/sysfsutils

Traduit avec www.DeepL.com/Translator (version gratuite)

Outil d’interrogation sysfs et configuration au démarrage

Sysfs est un système de fichiers virtuel dans le noyau Linux 2.5+ qui fournit un arbre des périphériques du système. Ce paquetage fournit le programme ‘systool’ pour l’interroger : il peut lister les périphériques par bus, classe et topologie.

De plus, ce paquetage fournit un fichier de configuration /etc/sysfs.conf qui permet de définir facilement les attributs sysfs au démarrage du système (dans le script init /etc/init.d/sysfsutils).

Si vous avez besoin de requêtes sysfs dans vos propres programmes, vous pouvez utiliser directement la bibliothèque libsysfs (paquet libsysfs-dev).

ppr

Merci @Aleks et @ppr,

je ne suis pas trop technique, du coup je ne vais pas en détail à quoi correspond sysfsutils et si le fait de le désactiver peut casser plus ou pas.

Je vais passer par le chat pour voir :wink:

Après une petite avancée grace à l’aide obtenue sur le chat, on a un peu avancé avec la migration. Mais il y a toujours des erreurs de migration :-/

Alors, suite à l’échange du chat, on a arreté le service sysfsutils pour relancer la migration, et cela a un peu mieux fonctionner. Pour être sûr nous avons relancé le service sysfsutils.

Suite à l’avancée de la migration, voilà la fenêtre que nous avons désormais :

Nous pouvons voir que la partie 17 (migration de PostgreSql) doit se faire. mais la migration PostGreSql ne fonctionne pas quand je la lance :frowning:

Et la commande suivante échoue :

$ sudo yunohost tools migrations run
Info : Exécution de la migration 0017_postgresql_9p6_to_11…
Attention : unable to retrieve string to translate with key ‘Failed to run command ‘LC_ALL=C pg_upgradecluster -m upgrade 9.6 main’.
returncode: 1
stdout:
b’Disabling connections to the old cluster during upgrade…\nRestarting old cluster with restricted connections…\n’
stderr:
b’Job for postgresql@9.6-main.service failed because the service did not take the steps required by its unit configuration.\nSee “systemctl status postgresql@9.6-main.service” and “journalctl -xe” for details.\nError: Could not restart old cluster\n’
’ for default locale ‘locales/en.json’ file (don’t panic this is just a warning)
Erreur : La migration 0017_postgresql_9p6_to_11 a échoué avec l’exception Failed to run command ‘LC_ALL=C pg_upgradecluster -m upgrade 9.6 main’.
returncode: 1
stdout:
b’Disabling connections to the old cluster during upgrade…\nRestarting old cluster with restricted connections…\n’
stderr:
b’Job for postgresql@9.6-main.service failed because the service did not take the steps required by its unit configuration.\nSee “systemctl status postgresql@9.6-main.service” and “journalctl -xe” for details.\nError: Could not restart old cluster\n’
: annulation
Info : L’opération ‘Exécuter les migrations’ a échoué ! Pour obtenir de l’aide, merci de partager le journal de l’opération en utilisant la commande ‘yunohost log share 20210611-090720-tools_migrations_migrate_forward’

Et le log me donne :

ended_at: 2021-06-11 09:07:23.875306
error: “La migration 0017_postgresql_9p6_to_11 a \xE9chou\xE9 avec l\u2019exception
\ Failed to run command ‘LC_ALL=C pg_upgradecluster -m upgrade 9.6 main’.\nreturncode:
\ 1\nstdout:\nb’Disabling connections to the old cluster during upgrade…\nRestarting
\ old cluster with restricted connections…\n’\nstderr:\nb’Job for postgresql@9.6-main.service
\ failed because the service did not take the steps required by its unit configuration.\
nSee “systemctl status postgresql@9.6-main.service” and “journalctl -xe” for
\ details.\nError: Could not restart old cluster\n’\n : annulation”
interface: cli
operation: tools_migrations_migrate_forward
parent: null
started_at: 2021-06-11 09:07:20.748234
success: false
yunohost_version: 4.2.5.3
============
2021-06-11 09:07:20,778: INFO - Exécution de la migration 0017_postgresql_9p6_to_11…
2021-06-11 09:07:20,785: DEBUG - Running command: dpkg --list | grep ‘^ii ’ | grep -q -w postgresql-9.6
2021-06-11 09:07:20,941: DEBUG - Running command: dpkg --list | grep ‘^ii ’ | grep -q -w postgresql-11
2021-06-11 09:07:21,099: DEBUG - Running command: pg_lsclusters | grep -q ‘^9.6 ’
2021-06-11 09:07:21,514: DEBUG - Running command: systemctl stop postgresql
2021-06-11 09:07:21,591: DEBUG - Running command: LC_ALL=C pg_dropcluster --stop 11 main || true
2021-06-11 09:07:22,036: DEBUG - Running command: LC_ALL=C pg_upgradecluster -m upgrade 9.6 main
2021-06-11 09:07:23,860: ERROR - La migration 0017_postgresql_9p6_to_11 a échoué avec l’exception Failed to run command ‘LC_ALL=C pg_upgradecluster -m upgrade 9.6 main’.
returncode: 1
stdout:
b’Disabling connections to the old cluster during upgrade…\nRestarting old cluster with restricted connections…\n’
stderr:
b’Job for postgresql@9.6-main.service failed because the service did not take the steps required by its unit configuration.\nSee “systemctl status postgresql@9.6-main.service” and “journalctl -xe” for details.\nError: Could not restart old cluster\n’
: annulation
Traceback (most recent call last):
File “/usr/lib/moulinette/yunohost/tools.py”, line 926, in tools_migrations_run
migration.run()
File “/usr/lib/moulinette/yunohost/data_migrations/0017_postgresql_9p6_to_11.py”, line 48, in run
self.runcmd(“LC_ALL=C pg_upgradecluster -m upgrade 9.6 main”)
File “/usr/lib/moulinette/yunohost/data_migrations/0017_postgresql_9p6_to_11.py”, line 77, in runcmd
cmd, returncode, out, err
yunohost.utils.error.YunohostError: Failed to run command ‘LC_ALL=C pg_upgradecluster -m upgrade 9.6 main’.
returncode: 1
stdout:
b’Disabling connections to the old cluster during upgrade…\nRestarting old cluster with restricted connections…\n’
stderr:
b’Job for postgresql@9.6-main.service failed because the service did not take the steps required by its unit configuration.\nSee “systemctl status postgresql@9.6-main.service” and “journalctl -xe” for details.\nError: Could not restart old cluster\n’

Avez-vous une idée de comment corriger cette erreur et comment continuer la migration ?

D’avance merci pour l’aide et/ou support

Bonjour à tous,

rencontrant toujours le problème présenté ci-dessous, quelle est votre recommandation selon vous ?

D’avance merci pour votre retour.

Zblerg, est-ce qu’on peut regarder la sortie de :

journalctl -n 200 -u postgresql@9.6-main.service --no-pager --no-hostname

Voilà ce que l’on obtient avec la commande ci-dessous :

$ sudo journalctl -n 200 -u postgresql@9.6-main.service --no-pager --no-hostname
– Logs begin at Thu 2021-06-24 18:43:27 UTC, end at Thu 2021-06-24 20:56:47 UTC. –
– No entries –